<?php

# определение данных
$post = array(); // массив пост - данных
$class = array(); // стили полей
$value = array(); // введенные значения
$form = false; // имя формы
$go = false; // переадресация

# проверка отправки формы, покупка монет
if ($_SERVER['REQUEST_METHOD'] == 'POST' && USER['status'] != 'guest') {
$summ = (isset($_POST['sum'])) ? $FUNC->filter($_POST['sum'], 'int') : 0; // фильтрация суммы

# проверка полей
$post['sum'] = (isset($summ) && $summ >= 10 && $summ <= 1000) ? $_POST['sum'] : 'stopped'; // сумма
$post['token'] = (isset($_POST['token']) && $_POST['token'] == TOKEN) ? 'true' : 'stopped'; // токен

# определение наличия ошибок
if (in_array('stopped', $post)) { $bank = true; // показ формы настроек

# проверка суммы, определение стилей
$class = ($post['sum'] == 'stopped') ? 'no': 'yes';

# проверка введенной суммы, вывод данных
$value = (isset($summ) && !empty($summ)) ? ' value="'. $summ .'"': false;

# отсутствие ошибок, создание платежа
} else {

# данные о платеже
$desc =  'Покупка '. ($post['sum'] * 500) .' монет'; // описание
$sum = number_format($post['sum'], 2, '.', ''); // сумма
$hash = $GAME->signature(USER['id'], $desc, $sum); // хеш

# запись платежа в базу данных
db_create($DB, 'payments', array('sum' => $post['sum'], 'time' => time(), 'user' => USER['id']));

# переадресация на мерчант
$go = 'https://unitpay.ru/pay/'. PAY['public'] .'?sum='. $sum .'&account='. USER['id'] .'&currency=RUB&locale=ru&desc='. $desc .'&signature='. $hash; } }

?>